(setq org-agenda-files (list "~/Documents/home-org-mode/tweaking.org"
			     "~/Documents/org-mode/school.org"
			     "~/Documents/home-org-mode/untitled_project.org"
			     "~/Documents/home-org-mode/personal.org"))

(set-frame-font "Iosevka:size=16")
(ensure-package-installed 'rustic)

(use-package rustic)
(setq rustic-lsp-client 'eglot)

(add-to-list 'eglot-server-programs '((c++-mode c-mode) "clangd"))

(use-package all-the-icons)

(use-package org-roam
  :ensure t
  :init
  (setq org-roam-v2-ack t)
  :custom
  (org-roam-directory "~/Documents/slipbox")
  (org-roam-capture-templates
    '(("d" "default" plain
       "%?"
       :if-new (file+head "%<%Y%m%d%H%M%S>-${slug}.org" "#+title: ${title}\n")
       :unnarrowed t)
      ("b" "book notes" plain
       "\n* Source\n\nAuthor: %^{Author}\nTitle: ${title}\nYear: %^{Year}\n\n %?"
       :if-new (file+head "%<%Y%m%d%H%M%S>-${slug}.org" "#+title: ${title}\n")
       :unnarrowed t)))
  (org-roam-completion-everywhere t)
  (org-roam-completion-system 'default)
  (org-roam-dailies-directory "daily/")
  :bind (("C-c n l" . org-roam-buffer-toggle)
         ("C-c n f" . org-roam-node-find)
         ("C-c n i" . org-roam-node-insert)
	 ("C-c n d"   . org-roam-dailies-find-date)
         ("C-c n c"   . org-roam-dailies-capture-today)
         ("C-c n C r" . org-roam-dailies-capture-tomorrow)
         ("C-c n t"   . org-roam-dailies-find-today)
         ("C-c n y"   . org-roam-dailies-find-yesterday)
         ("C-c n r"   . org-roam-dailies-find-tomorrow)
         :map org-mode-map
         ("C-M-i" . completion-at-point))
  :config
  (require 'org-roam-dailies)
  (org-roam-setup)
  (org-roam-db-autosync-mode))

(add-to-list 'auto-mode-alist '("neomutt" . mail-mode))
(setq appt-message-warning-time 15
      appt-audible nil
      appt-visible t
      appt-display-format 'window)
(appt-activate 1)
(defun notify-send (title msg)
  (interactive)
  (shell-command (concat "notify-send '" title "' '" msg "'")))
(defun facade-notify-appt (min-to-app new-time msg) 
  (notify-send (format "Appointment in %s minute(s)" min-to-app) msg))

(add-hook 'mail-mode-hook 'flyspell-mode 1)
(add-hook 'org-mode-hook 'flyspell-mode 1)
(setq appt-disp-window-function (function facade-notify-appt))

(provide 'emacs_home)
;;;emacs_home.el ends here
